Installing PDT 2.0 on Eclipse 3.4.1 Ganymede

I haven’t had much luck installing PDT on Eclipse lately.   I’ve been getting an error when I try to install from the PDT site on Zend:

Cannot complete the request.  See the details.
PDT SDK Feature will be ignored because it is already installed.
Cannot find a solution satisfying the following requirements Match[requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4.0.v3448f]].

Here’ s the original links from eclipse and zend:

http://www.eclipse.org/pdt/release-notes/pdt2_0.php

http://www.zend.com/community/pdt

And here’s the zend update site:

http://downloads.zend.com/pdt/

This seems to only have the debugger?

Here’s a few links that seem to be helpful:

http://www.howtoforge.com/setting-up-eclipse-pdt2.0-on-eclipse3.4-ganymede

The above has out of date links, since the DLTK, there is out of date, and the current one is installed in 3.4.1

This page helps, with a link (again) to an old DLTK:

http://wiki.eclipse.org/PDT/Installation

but it has a vital link to the actual PDT update site:

download.eclipse.org/tools/pdt/updates/2.0/

Also note the clue in the screenshot to only check the SDK, not the Runtime

It also has a link to the supposed correct dependencies:

http://www.eclipse.org/pdt/downloads/

The debugger still won’t install, and my guess is that it should have a dependency on

org.eclipse.equinox.p2.ui

not

org.eclipse.equinox.p2.iu

I also tried downloading the all in one and copying everything from features and plugins that started with org.zend.* to my eclipse install.

Advertisements

9 thoughts on “Installing PDT 2.0 on Eclipse 3.4.1 Ganymede

  1. I see a similar complaint when trying to install RadRails:

    Cannot complete the request. See the details.
    Cannot find a solution satisfying the following requirements Match[requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4.0.v3448f]].

  2. I had the same result as cmsjr.

    I had to update the Eclipse SKD, uninstall most of the elements of the DLTK that a site recommended and replaced them with the Core Frameworks SDK. Then installed PDT SDK feature and it completed successfully.

  3. I was having this issue with the Maven POM editor installation. An eclipse update via the standard eclipse update site fixed the issue. Also set it to automatic install so that such issues would be not come up every now and then.

  4. I’m having the same issue, and while trying to install the Maven plugin. I’ve already updated to , but it still complains about this. Do I have to update anything from ?

  5. David-

    What problem specifically are you getting? I’m afraid that even after I got PDT working, I started getting frequent errors while typing, and had pretty much given up on PDT 2.0. It looks to me like Zend is trying for the “appearance of open source” with PDT, but makes it very difficult to gather all the required parts. That said, it does look like they have some new stuff on their download site http://downloads.zend.com/pdt/ including a features and plugins folder, but it looks like still just the debugger and pointing to the old eclipse 1.1 PDT update site for the actual PDT.

    I had some luck with just copying the all-in-one into an existing eclipse build, but it worked once, and didn’t work another time. Frankly, I don’t see how anyone manages to work with Eclipse. You’ve essentially got to grab a snapshot and hope the other tools have done the same. Reminds me of CPAN, only worse.

    -Aaron

  6. Uncheck the following updates in Available Update Mangaer,

    1) JST Common Core(v3.0.2)

    2) Web Development Tools(v3.0.4)

    3) Java EE Development Tools(3.0.4)

    4) Eclipse CVS Client(v1.1.101)

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s